import { h } from "@stencil/core";
export class FormatAmount {
    renderInvalid() {
        return (h("span", { "data-testid": 'formatAmountComponent', class: this.class }, h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": 'formatAmountComponent', class: this.class }, h("span", { class: 'int-amount', "data-testid": 'formatAmountInt' }, this.valueInteger), this.valueDecimal && (h("span", { class: 'decimals', "data-testid": 'formatAmountDecimals' }, ".", this.valueDecimal)), this.label && (h("span", { class: {
                'symbol': true,
                [this.labelClass]: Boolean(this.labelClass)
            }, "data-testid": 'formatAmountSymbol' }, this.label))));
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    static get is() { return "format-amount"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["format-amount.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["format-amount.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "isValid": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "is-valid",
                "reflect": false
            },
            "label": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "label",
                "reflect": false
            },
            "labelClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "label-class",
                "reflect": false
            },
            "valueDecimal": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "value-decimal",
                "reflect": false
            },
            "valueInteger": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "value-integer",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=format-amount.js.map
