import { h } from "@stencil/core";
import { faTimes } from "@fortawesome/free-solid-svg-icons";
import classNames from "classnames";
import { getIconHtmlFromIconName } from "../../../../utils/icons/getIconHtmlFromIconName";
import { getIconHtmlFromIconDefinition } from "../../../../utils/icons/getIconHtmlFromIconDefinition";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class TransactionToastContent {
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '9c3ac9c977ba7ba5b981b2924194024e16cc2443', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: 'e4b7a920dac4fbc332f69fb3e5660f28dd0af73b', class: "content-left" }, h("div", { key: '7e89690fc8df8700ca1f20a86e1b7e86e91ae4f7', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'fdcff67cfb83e1e50ebaf29d8d1ae7419201f545', class: "content-right" }, h("div", { key: '7c12eb30fd74707102361cadcd773145c5604f8c', class: "content-heading" }, h("h5", { key: 'b3c099b0c7dee0663973db621a5246e842e04771', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '6f05c53c15ff47e9a03341b288cfed37273e1436', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: 'c2dcc28ba9845a76b43851a6dfd5c75f7c268444', class: "content-heading-title" }, h("transaction-toast-details", { key: 'e36e39f7a5ef2ce6cd6a261aa912d12e909f4132', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get is() { return "transaction-toast-content"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransaction[]",
                    "resolved": "ITransaction[]",
                    "references": {
                        "ITransaction": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/transaction-toast/transaction-toast.type.ts::ITransaction"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "toastDataState": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "processed-transactions-status",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast-content.js.map
