import { p as proxyCustomElement, H, c as createEvent, h } from './p-efdd7909.js';
import { s as solidIcons, l as library$1, i as icon, d as defineCustomElement$1, g as getIconHtmlFromIconDefinition, c as classNames, f as faTimes } from './p-e97031b6.js';
import { D as DataTestIdsEnum } from './p-22d3c8e9.js';
import { d as defineCustomElement$2 } from './p-e914816a.js';

function getIconHtmlFromIconName(iconName) {
    let faIcon;
    const dynamicIcon = solidIcons[`fa${capitalize(iconName)}`];
    if (!dynamicIcon) {
        console.error(`Icon "${iconName}" not found"`);
        return null;
    }
    library$1.add(dynamicIcon);
    faIcon = icon(dynamicIcon);
    return faIcon ? faIcon.html[0] : null;
}
function capitalize(iconName) {
    if (!iconName) {
        return iconName;
    }
    return iconName.charAt(0).toUpperCase() + iconName.slice(1);
}

const transactionToastContentCss = ".content {\n  display: flex;\n  align-items: center;\n}\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n}\n.success {\n  background-color: #5cb85c;\n}\n.warning {\n  background-color: #ffc107;\n}\n.danger {\n  background-color: #d9534f;\n}\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  cursor: pointer;\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: block;\n  overflow: hidden;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.25rem;\n}\n\n.content-heading-title {\n  margin: 0;\n  margin-bottom: 0.5rem;\n  font-weight: 500;\n  line-height: 1.2;\n  font-size: 1.25rem;\n}\n";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.deleteToast = createEvent(this, "deleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '9c3ac9c977ba7ba5b981b2924194024e16cc2443', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: 'e4b7a920dac4fbc332f69fb3e5660f28dd0af73b', class: "content-left" }, h("div", { key: '7e89690fc8df8700ca1f20a86e1b7e86e91ae4f7', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'fdcff67cfb83e1e50ebaf29d8d1ae7419201f545', class: "content-right" }, h("div", { key: '7c12eb30fd74707102361cadcd773145c5604f8c', class: "content-heading" }, h("h5", { key: 'b3c099b0c7dee0663973db621a5246e842e04771', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '6f05c53c15ff47e9a03341b288cfed37273e1436', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: 'c2dcc28ba9845a76b43851a6dfd5c75f7c268444', class: "content-heading-title" }, h("transaction-toast-details", { key: 'e36e39f7a5ef2ce6cd6a261aa912d12e909f4132', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get style() { return TransactionToastContentStyle0; }
}, [1, "transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16],
        "processedTransactionsStatus": [1, "processed-transactions-status"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToastContent as T, defineCustomElement as d };

//# sourceMappingURL=p-7c0d6023.js.map