import { ISignTransactionsModalData } from "./sign-transactions-modal.types";
type ITransactionState = ISignTransactionsModalData & {
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onSign: () => void;
    onCancel: () => void;
    onPrev: () => void;
    onNext: () => void;
};
declare const state: ITransactionState;
export declare const resetState: () => {
    shouldClose?: true;
    commonData: {
        receiver?: string;
        data?: string;
        transactionsCount: number;
        tokenType?: import("components/sign-transactions-modal/sign-transactions-modal.types").TokenType;
        egldLabel: string;
        feeLimit?: string;
        feeInFiatLimit?: string | null;
        currentIndex: number;
        nextUnsignedTxIndex?: number;
        highlight?: string;
        scCall?: string;
    };
    tokenTransaction: {
        identifier?: string;
        amount: string;
        usdValue: string;
    } | null;
    nftTransaction: import("components/sign-transactions-modal/sign-transactions-modal.types").FungibleTransactionType | null;
    sftTransaction: import("components/sign-transactions-modal/sign-transactions-modal.types").FungibleTransactionType | null;
    isLoading: boolean;
    isWaitingForSignature: boolean;
    onSign: () => void;
    onCancel: () => void;
    onPrev: () => void;
    onNext: () => void;
};
export default state;
